# Issue Categories Latest Snapshot

GET /easm/issues/categories/{issue_type_category_id}/latest-snapshot: Latest summary of one issue category.

Source: https://docs.deepinfo.com/reference/easm/issue-categories-latest-snapshot/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/issues/categories/{issue_type_category_id}/latest-snapshot`

Latest summary of one issue category.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `issue_type_category_id` | Required |  | `000000000000000e17420001` |

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `stats` | Optional |  |  |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `snapshot` | object |  |
| `date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `snapshot` | object |
| `snapshot.security_score` | number |
| `snapshot.average_issue_duration` | number |
| `snapshot.average_fix_duration` | number |
| `snapshot.issue_state_stats` | array<object> |
| `snapshot.issue_state_stats[].name` | string |
| `snapshot.issue_state_stats[].count` | number |
| `snapshot.issue_severity_stats` | array<object> |
| `snapshot.issue_severity_stats[].name` | string |
| `snapshot.issue_severity_stats[].count` | number |
| `date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/issues/categories/000000000000000e17420001/latest-snapshot' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "00000000000000000000000e3b4b0001",
  "snapshot": {
    "security_score": 850.5,
    "average_issue_duration": 86400,
    "average_fix_duration": 86400,
    "issue_state_stats": [
      {
        "name": "newly_detected",
        "count": 24
      },
      {
        "name": "reappeared",
        "count": 25
      }
    ],
    "issue_severity_stats": [
      {
        "name": "Critical",
        "count": 26
      },
      {
        "name": "High",
        "count": 27
      }
    ]
  },
  "date": "2025-07-16T08:00:00Z"
}
```

### 404 · Not Found (nonexistent issue_type_category_id)

```bash
curl 'https://api.deepinfo.com/v1/easm/issues/categories/ffffffffffffffffffffffff/latest-snapshot' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Issue Type Category does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
